From 9e23c8b1cfadb1afb1f5df67ce2bea780f1acff9 Mon Sep 17 00:00:00 2001
From: root <root@fedora-arm.(none)>
Date: Wed, 17 Dec 2008 05:43:34 -0500
Subject: [PATCH] libprelude: valgrind not yet supported on ARM. Disable checks.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 libprelude.spec |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/libprelude.spec b/libprelude.spec
index c769ab7..11a981e 100644
--- a/libprelude.spec
+++ b/libprelude.spec
@@ -5,7 +5,7 @@
 
 Name:		libprelude
 Version:	0.9.21.2
-Release:	1%{?dist}
+Release:	1%{?dist}.fa1
 Summary:	The prelude library        
 Group:		System Environment/Libraries 
 License:	GPLv2+
@@ -15,7 +15,7 @@ BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:	gnutls-devel, python-devel, ruby, ruby-devel, lua-devel
 BuildRequires:	swig chrpath 
-%ifnarch ppc ppc64
+%ifnarch ppc ppc64 %{arm}
 BuildRequires:	valgrind 
 %endif
 
@@ -111,7 +111,8 @@ chmod -w %{buildroot}%{perl_vendorarch}/auto/Prelude/Prelude.so
 touch -r ./configure.in %{buildroot}%{_sysconfdir}/prelude/default/*
 
 # PPC strips ld.so so valgrind can't run
-%ifnarch ppc ppc64
+# valgrind not yet available on ARM
+%ifnarch ppc ppc64 %{arm}
 %check
 make check
 %endif
-- 
1.5.3.3

